Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Query Parameters

showInternalDatabaseSizes
boolean

If true, adds internalDatabaseSizes to the response.

sizeFormat
enum<string>

Specify how to format the sizes:

  • "raw" (default): format sizes as a number of bytes
  • "human": format sizes as a human-readable string with an appropriate unit.
Available options:
human,
raw

Response

The stats of the instance.

Global statistics for the Meilisearch instance

databaseSize
required

Total disk space used by the database in bytes

Required range: x >= 0
usedDatabaseSize
required

Actual size of the data in the database in bytes

Required range: x >= 0
indexes
object
required

Statistics for each index

lastUpdate
string<date-time> | null

Date of the last update in RFC 3339 format. Null if no update has been processed